org.apache.http.impl.conn

## Class BasicClientConnectionManager

- java.lang.Object
- - org.apache.http.impl.conn.BasicClientConnectionManager

- All Implemented Interfaces:
    ClientConnectionManager

  已过时。
  （4.3）使用`BasicHttpClientConnectionManager` 。

      @Contract(threading=SAFE)
      @Deprecated
      public class BasicClientConnectionManager
      extends Object
      implements ClientConnectionManager

  单个连接的连接管理器。 此连接管理器仅维护一个活动连接。 即使这个类是完全线程安全的，它只能被一个执行线程使用，因为一次只能有一个线程可以一次租用连接。

  该连接管理器将努力重新使用具有相同`route`的后续请求的连接。 但是，如果持久连接的路由与连接请求的路由不匹配，则将关闭现有连接并为给定的路由打开它。 如果连接已经被分配`IllegalStateException`被抛出。

  该连接管理器实现应该在EJB容器内使用，而不是`PoolingClientConnectionManager` 。

  从以下版本开始：
    4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MISUSE_MESSAGE` 已过时。 要在多个分配上登录的消息。

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `BasicClientConnectionManager()` 已过时。
    `BasicClientConnectionManager(SchemeRegistry schreg)` 已过时。 创建一个新的简单连接管理器。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeExpiredConnections()` 已过时。 关闭池中的所有过期连接。
    `void` | `closeIdleConnections(long idletime, TimeUnit tunit)` 已过时。 关闭池中的空闲连接。
    `protected ClientConnectionOperator` | `createConnectionOperator(SchemeRegistry schreg)` 已过时。
    `protected void` | `finalize()` 已过时。
    `SchemeRegistry` | `getSchemeRegistry()` 已过时。 获得该经理使用的方案注册表。
    `void` | `releaseConnection(ManagedClientConnection conn, long keepalive, TimeUnit tunit)` 已过时。 释放其他人使用的连接。
    `ClientConnectionRequest` | `requestConnection(HttpRoute route, Object state)` 已过时。 返回一个新的`ClientConnectionRequest` ，从中可以获得`ManagedClientConnection`或请求可以中止。
    `void` | `shutdown()` 已过时。 关闭此连接管理器并释放分配的资源。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### MISUSE_MESSAGE

          public static final String MISUSE_MESSAGE

      已过时。
      要在多个分配上登录的消息。
      另请参见：
        Constant Field Values

  - ### 构造方法详细信息

    - #### BasicClientConnectionManager

          public BasicClientConnectionManager(SchemeRegistry schreg)

      已过时。
      创建一个新的简单连接管理器。
      参数
        `schreg` - 方案注册表

    - #### BasicClientConnectionManager

          public BasicClientConnectionManager()

      已过时。

  - ### 方法详细信息

    - #### finalize

          protected void finalize()
                           throws Throwable

      已过时。
      重写：
        `finalize`在 `Object`
      异常
        `Throwable`

    - #### getSchemeRegistry

          public SchemeRegistry getSchemeRegistry()

      已过时。
      描述从接口`ClientConnectionManager`复制
      获得该经理使用的方案注册表。
      Specified by:
        `getSchemeRegistry`在接口 `ClientConnectionManager`
      结果
        方案注册表，从不 `null`

    - #### createConnectionOperator

          protected ClientConnectionOperator createConnectionOperator(SchemeRegistry schreg)

      已过时。

    - #### requestConnection

          public final ClientConnectionRequest requestConnection(HttpRoute route,
                                                  Object state)

      已过时。
      描述从接口`ClientConnectionManager`复制
      返回一个新的`ClientConnectionRequest` ，从中可以获得`ManagedClientConnection`或请求可以中止。
      Specified by:
        `requestConnection`在接口 `ClientConnectionManager`

    - #### releaseConnection

          public void releaseConnection(ManagedClientConnection conn,
                               long keepalive,
                               TimeUnit tunit)

      已过时。
      描述从接口`ClientConnectionManager`复制
      释放其他人使用的连接。 您可以选择指定连接有效重复使用的时间。 值<= 0被认为是永久有效的。 如果连接未被标记为可重用，则连接将不会重复使用，无论有效持续时间如何。 如果连接已经被释放，则呼叫将被忽略。
      Specified by:
        `releaseConnection`在接口 `ClientConnectionManager`
      参数
        `conn` - 要发布的连接
        `keepalive` - 此连接有效重用的持续时间
        `tunit` - 测量时间validDuration的单位
      另请参见：
        `ClientConnectionManager.closeExpiredConnections()`

    - #### closeExpiredConnections

          public void closeExpiredConnections()

      已过时。
      描述从接口`ClientConnectionManager`复制
      关闭池中的所有过期连接。 在连接被释放时定义的时间段中尚未使用的池中的打开连接将被关闭。 目前分配的连接不受此方法的约束。 时间将以毫秒精度检查。
      Specified by:
        `closeExpiredConnections`在接口 `ClientConnectionManager`

    - #### closeIdleConnections

          public void closeIdleConnections(long idletime,
                                  TimeUnit tunit)

      已过时。
      描述从接口`ClientConnectionManager`复制
      关闭池中的空闲连接。 在参数中给出的时间段中未使用的池中的打开连接将被关闭。 目前分配的连接不受此方法的约束。 时间将以毫秒精度检查所有过期的连接也将关闭。
      Specified by:
        `closeIdleConnections`在接口 `ClientConnectionManager`
      参数
        `idletime` - 连接关闭的空闲时间
        `tunit` -为对所述单元 `idletime`
      另请参见：
        `ClientConnectionManager.closeExpiredConnections()`

    - #### shutdown

          public void shutdown()

      已过时。
      描述从接口`ClientConnectionManager`复制
      关闭此连接管理器并释放分配的资源。 这包括关闭所有连接，无论它们是否被使用。
      Specified by:
        `shutdown` in interface `ClientConnectionManager`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585